<?
/*
=============================================
Движок: SHCMS Engine
=============================================
Название файла: Мини-чат
=============================================
Official website: http://shcms.ru
=============================================
 Данный код защищен авторскими правами
=============================================
*/
define('SHCMS', true);
include_once'../system/inc/basic_settings.php';
$shcmsengine['title'] = 'Мини-Чат';
include_once'../template/head.php';

    if($user_id)
    {
        echo '<strong>Текст сообщения</strong><br/>';
            echo '<div class="border_message">';
			if($brodilka == "web")
            {
                $text_list->text_lister();
            }

    if(isset($_GET['otv']))
    {
	    if(isset($_GET['id']))
        {
		    $mess_id = $_GET['id'];
		}
            $shoutsf = mysql_fetch_array(mysql_query("SELECT * FROM `shouts` WHERE `id` = '$mess_id'"));
            $guest_sh = mysql_fetch_array(mysql_query("SELECT * FROM `users` WHERE `id` = '$shoutsf[user_id]'"));
            $mess_ots = '[b]'.$guest_sh['login'].'[/b],';
	}

        echo '<form action="?'.$conservation.'" method="post" name="form">';
        echo '<input type="hidden" name="login">';
        echo '<textarea name="text">'.$mess_ots.'</textarea>';
		
        if($settings_shcms['captcha_guest'] == 1)
        {
            echo '<script type="text/javascript">
                src="/shcms/antibot.php?r=rand(1000,9999)"; 
                function reload(){
                document.captcha.src="/shcms/antibot.php?r=rand(1000,9999)";
                document.captcha.src=src+"?rand="+Math.random();}</script>';
  
            echo '<img  name="captcha" class="midside" alt="Включите эту картинку для отображения кода безопасности" src="'.DIR_SHCMS.'antibot.php?r=' . rand(1000, 9999) . ' "/><br />';
		    echo '<a href="javascript:void(0)" onclick="reload()">обновить, если не виден код</a><br/>';
            echo '<input type="text" style="width:115px"  size="5" maxlength="5"  name="kod"/><br/>';

        }
		
		$form->textarea(false,true);


    }


  if(isset($_POST['submit']))
  {
    $submit = $_POST['submit'];
  }
        if(isset($submit))
        {
            if(isset($_POST['login']))
            {
                $submit = $_POST['submit'];
            }
                if(isset($_POST['text']))
                {
                    $text = $_POST['text'];
                  }

    if($_POST['tran'] == 1)
    {
        $text = $translits->translit_rus($text);
    }elseif($_POST['tran'] == 2)
    {
        $text = $translits->translit_eng($text);
    }
        $text = antimat($text);
        
		if(empty($text))
        {
            echo '<div class="errors">Введите текст</div>';
            header('Refresh: 1; url=?' . $conservation . '&' );
            include_once'../template/foot.php';
            exit;
        }

		    if(strlen($text)<0 or strlen($text)>1200)
            {
                echo '<div class="errors">Ваш текст не должен превышать 1200символов</div>';
                header('Refresh: 1; url=?' . $conservation . '&' );
                include_once'../template/foot.php';
                exit;
            }
        if($settings_shcms['captcha_guest'] == 1)
        {
            $antibot = isset($_POST['kod']) ? trim($_POST['kod']) : '';
                
				if (empty($antibot) || strlen($antibot) < 3)
	            {
	                echo  '<div class="errors">Код безопастности не введен!</div>';
	                header('Refresh: 1; url=?' . $conservation . '&' );
                    include_once'../template/foot.php';
	                exit;
				}
	            elseif ($antibot != $_SESSION['code'])
	            {
				    echo  '<div class="errors">Код безопасности не соответствует отображённому</div>';
	                header('Refresh: 1; url=?' . $conservation . '&' );
                    include_once'../template/foot.php';
                    exit;
		        }	
            unset($_SESSION['code']);
	    }

                $text = stripslashes($text);
                $text = htmlspecialchars($text);
				
    if($login or $text)
    {
        $yel = mysql_query("INSERT INTO shouts (text,time,user_id) VALUES ('$text','$time_date','$user_id')");
        $balls = $users_nav['ball'] +1;
        mysql_query("UPDATE `users` SET `ball`='$balls' WHERE `id`='$user_id'");

        if($yel == true)
        {
            messag ('Сообщение успешно добавлено');
            header('Refresh: 1; url=?' . $conservation . '&' );
            include_once'../template/foot.php';
            exit;
        }
        else
        {
            echo '<div class="errors">Сообщение не добавлено</div>'; 
            header('Refresh: 1; url=?' . $conservation . '&' );
            include_once'../template/foot.php';
            exit;
        }

    }
        }

        $allfield = mysql_result(mysql_query("SELECT COUNT(*) FROM `shouts`"),0);
        $newlist = new Navigation($allfield, 10, true); 

        $shouts = mysql_query("SELECT * FROM `shouts` ORDER BY `id` DESC ". $newlist->limit()." ");
        $shouts2 = mysql_fetch_array($shouts);

        $count_user = mysql_result(mysql_query("SELECT COUNT(*) FROM `shouts` WHERE `user_id` = '$user_id'"),0);
        echo '<div class="posts"><img src="/template/icon/pisem.gif"/> Всего сообщений в мини чате: <b>'.$allfield.'</b>,  из них ваши <b>'.$count_user.'</b></div>';
    
	if($shouts2 == null)
    {
        echo '<div class="posts">Сообщений в мини-чате нет</div>';
    }
    else
	{
            do
            {
                echo '<div class="maintitle">';
                users_profile($shouts2['user_id']);
                list_users($shouts2['user_id']);
                echo' <span class="maintime">'.$timedate->times($shouts2['time']).'</span>';
                echo '</div>';
                echo "<div class='maintext'>".processing($shouts2['text'])."";

        if($users_user['team'] == 6)
		{
            echo '<div style="text-align:right"><a href="?otv&id='.$shouts2['id'].'"> Ответить</a> | <a href="delete.php?id='.$shouts2['id'].'">Удалить</a></div>';
        }
        else{
                if($user_id)
				{
				    echo '<div style="text-align:right"><a href="?otv&id='.$shouts2['id'].'"> Ответить</a></div>';
				}
			}
			
        echo '</div>';
            }
            while($shouts2 = mysql_fetch_array($shouts));
			
        echo '<div class="pages">';
        echo $newlist->pagination();
        echo '</div>';
    }
        if(isset($_POST['refresh']))
		{
		    $refresh = $_POST['refresh'];
		}
            if(isset($refresh))
            {
                header('Refresh: 1; url=?'.$conservation.'&');
            }
        if($user4['team'] == 6)
        {
            echo '<div class="lower"><a href="del.php">Удалить сообщение.</a></div>';
        }

		include_once'../template/foot.php';
?>